
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>&lt;no title&gt; &#8212; EMULSION (Epidemiological Multi-Level Simulation framework)</title>
    <link rel="stylesheet" href="../_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="../_static/css/custom.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/language_data.js"></script>
    <script async="async" type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/latest.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <link rel="shortcut icon" href="../_static/STEMAH-favicon.png"/>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <table border="1" class="docutils">
<colgroup>
<col width="26%" />
<col width="24%" />
<col width="18%" />
<col width="13%" />
<col width="19%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head" rowspan="2">EMULSION section</th>
<th class="head" rowspan="2">section keyword</th>
<th class="head" colspan="3">Modelling paradigm</th>
</tr>
<tr class="row-even"><th class="head">compartment</th>
<th class="head">hybrid</th>
<th class="head">IBM</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-odd"><td rowspan="2"><code class="docutils literal notranslate"><span class="pre">levels</span></code></td>
<td><code class="docutils literal notranslate"><span class="pre">aggregation_type</span></code></td>
<td><code class="docutils literal notranslate"><span class="pre">compartment</span></code></td>
<td><code class="docutils literal notranslate"><span class="pre">hybrid</span></code></td>
<td><code class="docutils literal notranslate"><span class="pre">IBM</span></code></td>
</tr>
<tr class="row-even"><td><code class="docutils literal notranslate"><span class="pre">contains</span></code></td>
<td><em>not used</em></td>
<td colspan="2"><em>sublevels</em></td>
</tr>
<tr class="row-odd"><td rowspan="2"><code class="docutils literal notranslate"><span class="pre">grouping</span></code></td>
<td><code class="docutils literal notranslate"><span class="pre">key_variables</span></code></td>
<td colspan="2"><em>list of variables</em></td>
<td rowspan="2"><em>not used</em></td>
</tr>
<tr class="row-even"><td><code class="docutils literal notranslate"><span class="pre">state_machine</span></code></td>
<td colspan="2"><em>machine name</em> (optional)</td>
</tr>
<tr class="row-odd"><td rowspan="2"><code class="docutils literal notranslate"><span class="pre">processes</span></code></td>
<td><em>level</em></td>
<td colspan="2"><em>population</em></td>
<td><em>individuals</em></td>
</tr>
<tr class="row-even"><td><em>list of processes</em></td>
<td colspan="2"><em>names of groupings</em></td>
<td><em>machine name</em></td>
</tr>
<tr class="row-odd"><td><code class="docutils literal notranslate"><span class="pre">state_machines</span></code></td>
<td><code class="docutils literal notranslate"><span class="pre">productions</span></code></td>
<td>&#160;</td>
<td colspan="2"><em>based on prototypes</em></td>
</tr>
<tr class="row-even"><td><code class="docutils literal notranslate"><span class="pre">prototypes</span></code></td>
<td>&#160;</td>
<td><em>not used</em></td>
<td colspan="2"><em>for individuals/populations</em></td>
</tr>
<tr class="row-odd"><td><code class="docutils literal notranslate"><span class="pre">initial_conditions</span></code></td>
<td>&#160;</td>
<td><em>per state</em></td>
<td colspan="2"><em>based on prototypes</em></td>
</tr>
</tbody>
</table>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">EMULSION</a></h1>



<p class="blurb">Epidemiological Multi-Level Simulation Framework</p>






<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Information.html">1. Information</a></li>
<li class="toctree-l1"><a class="reference internal" href="Install.html">2. Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="Getting_started.html">3. Getting started with EMULSION</a></li>
<li class="toctree-l1"><a class="reference internal" href="Modelling_principles.html">4. Modelling principles</a></li>
<li class="toctree-l1"><a class="reference internal" href="Modelling_language_basics.html">5. Modelling language (basics)</a></li>
<li class="toctree-l1"><a class="reference internal" href="Modelling_language_advanced.html">6. Modelling language (advanced)</a></li>
<li class="toctree-l1"><a class="reference internal" href="Feature_examples.html">7. Feature examples</a></li>
<li class="toctree-l1"><a class="reference internal" href="Release_notes.html">8. Release notes</a></li>
<li class="toctree-l1"><a class="reference internal" href="License.html">9. License</a></li>
<li class="toctree-l1"><a class="reference internal" href="../emulsion_for_modellers.html">10. High-level functions for model designers</a></li>
<li class="toctree-l1"><a class="reference internal" href="../emulsion.html">11. emulsion package</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2016, INRAE and Univ. Lille.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.8.5</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.10</a>
      
      |
      <a href="../_sources/pages/paradigms.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>